logo
DATABASE RESOURCES PRICING ABOUT US

CVE-2015-7942

Description

The xmlParseConditionalSections function in parser.c in libxml2 does not properly skip intermediary entities when it stops parsing invalid input, which allows context-dependent attackers to cause a denial of service (out-of-bounds read and crash) via crafted XML data, a different vulnerability than CVE-2015-7941.


Affected Software


CPE Name Name Version
hp:icewall_federation_agent hp icewall federation agent 3.0
hp:icewall_file_manager hp icewall file manager 3.0
debian:debian_linux debian debian linux 7.0
debian:debian_linux debian debian linux 8.0
apple:watchos apple watchos 2.1
apple:tvos apple tvos 9.1
apple:iphone_os apple iphone os 9.2.1
apple:mac_os_x apple mac os x 10.11.3
canonical:ubuntu_linux canonical ubuntu linux 15.04
canonical:ubuntu_linux canonical ubuntu linux 14.04
canonical:ubuntu_linux canonical ubuntu linux 12.04
canonical:ubuntu_linux canonical ubuntu linux 15.10
xmlsoft:libxml2 xmlsoft libxml2 2.9.2

Related